commit:     ff9bfc20deac3e035a5e7ce59345d0f123a2f10a
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Sat May  4 20:42:48 2019 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Sat May  4 22:58:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff9bfc20

dev-python/jupyter_client: drop py2

Bug: https://bugs.gentoo.org/685040
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 .../jupyter_client/jupyter_client-5.2.3-r1.ebuild  | 36 ++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-python/jupyter_client/jupyter_client-5.2.3-r1.ebuild 
b/dev-python/jupyter_client/jupyter_client-5.2.3-r1.ebuild
new file mode 100644
index 00000000000..470782ffa02
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-5.2.3-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="https://jupyter.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       dev-python/jupyter_core[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+       )
+       "
+
+python_test() {
+       pytest -vv jupyter_client || die
+}

Reply via email to